--- title: "Get content playback list" slug: "vpe-api-contentssummary" updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-contentssummary" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get content playback list Available in Classic and VPC Get the list of content played through the player. Only data with metadata set during player configuration is aggregated, and the data aggregation criteria vary depending on the interval between the start and end points of the query. | Time span between start time and end time | Interval | | --- | --- | | 1 day or less | 5-minute interval | | 2 days or more | 1-day interval | ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /v1/contentsSummary | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `device` | String | Optional | Player playback environment - `PC,Mobile` (default) \| `PC` \| `Mobile` | | `videoType` | String | Optional | Playback source type - `VOD,LIVE` (default) \| `VOD` \| `LIVE` - `VOD,LIVE`: VOD video, LIVE stream - `VOD`: VOD video - `LIVE`: LIVE stream | | `startDate` | Date | Optional | Query start date and time - Date format (UTC) | | `endDate` | Date | Optional | Query end date and time - Date format (UTC) | | `pageNo` | Integer | Optional | Page number - 1-1000 (default: 1) | | `limit` | Integer | Optional | Number of items per page - 10-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ma-dashboard-api.vpe.naverncp.com/v1/contentsSummary?device=PC,Mobile&videoType=VOD,LIVE&pageNo=1' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project id}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.totalCount` | Integer | - | Number of response results | | `result.list` | Array | - | Playback content list: [list](/docs/en/vpe-api-contentssummary#list) | #### `list` The following describes `list`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `title` | String | - | Video title | | `url` | String | - | Playback source (URL) | | `videoType` | String | - | Playback source type - `VOD,LIVE` \| `VOD` \| `LIVE` - `VOD,LIVE`: VOD video, LIVE stream - `VOD`: VOD video - `LIVE`: LIVE stream | | `contentsKey` | String | - | Content key ID - Identifier when analyzing content | | `playCount` | Integer | - | Playback count | | `playTime` | Integer | - | Playback time (second) | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 200, "message": "contents/summary", "result": { "totalCount": 3, "list": [ { "title": "NAVER Cloud introduction video", "url": "https://*********.naverncp.com/hls/*********/vod/JDPCILtJUbYObLmI/media-plus-99/DQEhtI6zHI_,AVC_SD_1Pass_30fps_1,AVC_HD_1Pass_30fps,AVC_FHD_1Pass_30fps,.mp4.smil/master.m3u8", "videoType": "VOD", "contentsKey": "4311180*********a3edc1", "playCount": 96, "playTime": 35136 }, { "title": "NAVER Cloud introduction video", "url": "https://*********.naverncp.com/hls/*********/endpoint/sample/221027_NAVER_Cloud_intro_Long_ver_AVC_,FHD_2Pass_30fps,HD_2Pass_30fps,SD_2Pass_30fps,.mp4.smil/master.m3u8", "videoType": "VOD", "contentsKey": "77da5874*********e50ec5ec3", "playCount": 52, "playTime": 6748 }, { "title": "NAVER Cloud introduction video", "url": "https://*********.naverncp.com/hls/*********/vod/JDPCILtJUbYObLmI/media-plus-99/DQEhtI6zHI_,AVC_SD_1Pass_30fps_1,AVC_HD_1Pass_30fps,AVC_FHD_1Pass_30fps,.mp4.smil/master.m3u8", "videoType": "VOD", "contentsKey": "6dd90907a*********d3566049", "playCount": 7, "playTime": 17568 } ] } } ```